package com.dsic.gj_erp.bean.jhgk.excel;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.format.DateTimeFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 
 * </p>
 *
 * @author xn
 * @since 2023-09-18
 */
@Data
public class GdxqExcel  {

    private static final long serialVersionUID=1L;
    @ApiModelProperty(value = "分段")
    @ExcelProperty(index = 3)
    private String dcFd;

    @ApiModelProperty(value = "总段号")
    @ExcelProperty(index = 2)
    private String zdh;

    @ApiModelProperty(value = "大组极重")
    @ExcelProperty(index = 4)
    private Double dzjz;

    @ApiModelProperty(value = "总装部最新分段需求期")
    @DateTimeFormat("yyyy/MM/dd")
    @ExcelProperty(index = 5)
    private String zxfdxq;

    @ApiModelProperty(value = "钢料需求")
    @DateTimeFormat("yyyy/MM/dd")
    @ExcelProperty(index = 6)
    private String xzglxq;

    @ApiModelProperty(value = "X大板")
    @DateTimeFormat("yyyy/MM/dd")
    @ExcelProperty(index = 7)
    private String xdb;

    @ApiModelProperty(value = "X数控件")
    @DateTimeFormat("yyyy/MM/dd")
    @ExcelProperty(index = 8)
    private String xskj;

    @ApiModelProperty(value = "X平铁")
    @DateTimeFormat("yyyy/MM/dd")
    @ExcelProperty(index = 9)
    private String xpt;

    @ApiModelProperty(value = "X压弯")
    @DateTimeFormat("yyyy/MM/dd")
    @ExcelProperty(index = 10)
    private String xyw;

    @ApiModelProperty(value = "X型材")
    @DateTimeFormat("yyyy/MM/dd")
    @ExcelProperty(index = 11)
    private String xxc;

    @ApiModelProperty(value = "X二次装T型材")
    @DateTimeFormat("yyyy/MM/dd")
    @ExcelProperty(index = 12)
    private String xtxc;
    @ExcelProperty(index = 0)
    private String dcCh;

    @ExcelProperty(index = 1)
    private String dcPl;

    @ExcelIgnore
    private String zl="xz";
}
