package com.dsic.gj_erp.bean.jhgk;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 *
 * </p>
 *
 * @author xn
 * @since 2023-09-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("Dm_dhqdp")
@ApiModel(value="DmDhqdp对象", description="")
public class DmDhqdp implements Serializable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "船号")
    @TableField("DC_CH")
    private String dcCh;

    @ApiModelProperty(value = "订货清单号")
    private String qdh;

    @ApiModelProperty(value = "期次")
    private String qc;

    @ApiModelProperty(value = " 材质")
    @TableField("WPXH")
    private String wpxh;

    @ApiModelProperty(value = "厚度mm")
    private BigDecimal thickness;

    @ApiModelProperty(value = "宽度mm")
    private BigDecimal width;

    @ApiModelProperty(value = "长度mm")
    private BigDecimal length;

    @ApiModelProperty(value = "重量吨/张")
    private BigDecimal weight;

    @ApiModelProperty(value = "设计数量张")
    private BigDecimal sjsl;

    @ApiModelProperty(value = "裕量张")
    private BigDecimal yl;

    @ApiModelProperty(value = "总数量张")
    private BigDecimal zsl;

    @ApiModelProperty(value = "总重量吨")
    private BigDecimal zzl;

    @ApiModelProperty(value = "利库数量张")
    private BigDecimal lksl;

    @ApiModelProperty(value = "利库重量吨")
    private BigDecimal lkzl;

    @ApiModelProperty(value = "实订数量张")
    private BigDecimal sdzs;

    @ApiModelProperty(value = "实订重量吨")
    private BigDecimal sdzl;

    @ApiModelProperty(value = "备注")
    private String bz;
    private String drr;
    private String drrq;

    @ApiModelProperty(value = "状态； 0编辑1提交2审核；默认为0；")
    private String zt;

    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;

    private String plzlsl;//批量组立数量
    private String kdzlsl;//跨道组立数量
    private String ptybsl;//平铁用板数量

    @TableField(exist = false)
    private String xh;//序号列用于去除合计行
}
